### Method

# Fwupd Client activate

#### Declaration [src]

    gboolean
    fwupd_client_activate (
      FwupdClient* self,
      GCancellable* cancellable,
      const gchar* device_id,
      GError** error
    )

#### Description [src]

Activates up a device, which normally means the device switches to a new firmware version. This should only be called when data loss cannot occur.

Available since: | 1.2.6

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`device_id` | `const gchar*`
| A device.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.